* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --bg-color: #ffffff;
  --text-color: #212529;
  --hero-bg: #ededed;
  --card-bg: #f8f9fa;
}

body {
  font-family: "Open Sans", sans-serif;
  background-color: var(--bg-color) !important;
  color: var(--text-color) !important;
  transition:
    background-color 0.3s ease,
    color 0.3s ease;
}

/*//////// nav ////// */

.nav-item.dropdown:hover .dropdown-menu {
  display: block;
  margin-top: 0;
}

/*//////// home ////// */

.hero-section {
  background: var(--hero-bg) !important;
  color: var(--text-color) !important;
  transition: background 0.3s ease;
  min-height: 100vh;
}

.hero-section h1 {
  color: var(--text-color);
}

.hero-section p {
  color: var(--text-color);
  opacity: 75%;
}

.hero-img {
  max-width: 100%;
  height: auto;
  border-radius: 12px;
  transition: transform 0.3s ease-in-out;
}

.hero-img:hover {
  transform: scale(1.02);
}

/*//////// category ////// */

.nav-pills .nav-link {
  color: var(--text-color);
  margin: 0 5px;
  border: 1px solid var(--text-color);
}

.nav-pills .nav-link.active {
  background-color: #dc3545 !important;
  color: white;
  border-color: #dc3545;
}

.card {
  background-color: var(--card-bg) !important;
  color: var(--text-color) !important;
  border: none;
  transition: transform 0.3s;
}

.card-body {
  background-color: var(--card-bg);
  color: var(--text-color);
}

.card-title {
  color: var(--text-color);
}

.card:hover {
  transform: translateY(-5px);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
}

.pagination .page-link {
  color: #dc3545;
}

.pagination .page-item.active .page-link {
  background-color: #dc3545;
  border-color: #dc3545;
  color: #fff;
}

.pagination .page-item.disabled .page-link {
  color: #adb5bd;
}

/*//////// modal ////// */

.modal-content {
  background-color: var(--card-bg) !important;
  color: var(--text-color) !important;
}

.modal-header {
  border-bottom: 1px solid var(--text-color);
}

.modal-title {
  color: var(--text-color);
}

.modal-body {
  color: var(--text-color);
}

/*//////// FOOTER ////// */

.social-icon {
  width: 35px;
  height: 35px;
  border: 1px solid #ced4da;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #495057;
  transition: all 0.3s ease;
  text-decoration: none;
}

.social-icon:hover {
  background-color: #dc3545;
  border-color: #dc3545;
  color: #fff;
}

.footer-nav .nav-link {
  font-size: 0.9rem;
  font-weight: 500;
  transition: color 0.2s;
}

.footer-nav .nav-link:hover {
  color: #dc3545 !important;
}

#scrollTopBtn {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 40px;
  height: 40px;
  border: none;
  border-radius: 4px;
  cursor: pointer;

  display: none;
  z-index: 1000;
}
